Skip to content

Add UIN (Unique Identification Number) to Assembly Orders ​

http
POST /api/marketplace/v3/dbs/orders/meta/uin

Base URL: https://marketplace-api.wildberries.ru · Module: dbs · Section: DBS Label Identifiers · Specification doc ↗

Sets the UIN to the assembly orders label identifiers. The order can only have one UIN. You can add the UIN only for assembly orders in the confirm status, and if the field uin is returned in the response of the Get Order Label Identifiers method.

Request limit per one seller account for all methods for adding DBS label identifiers:

PeriodLimitIntervalBurst
1 min500 requests120 ms20 requests
One request with 4XX response codes is counted as 10 requests.

In Sandbox — maximum of 1 request per second for all Marketplace methods in total.

Request body ​

application/json — schema api.OrdersUINSetRequest, required

  • orders api.UIN[] (required)
    • orderId integer<int64> (required) — Assembly order ID
    • uin string (required) — UIN

Responses ​

CodeDescriptionSchema
200Successapi.StatusSetResponses
400Bad requestapi.BatchError
401Unauthorizedobject
402Payment requiredobject
403Access deniedapi.BatchError
409Label identifiers update errorapi.Error
429Too many requestsobject

Structure 200:

  • requestId string — Unique request ID
  • results api.StatusSetResponse[]
    • errors api.BatchErrorResponse[] — Error details
      • code integer<int64> — Error code: - 404 - 409 - 400
      • detail string — - NotFound — assembly order is not found - StatusMismatch — operation is not possible for this assembly order status - ImeiIsNotFilled — IMEI is not filled - OrderNotB2B — operation is available only for assembly orders with the B2B sale indicator "isB2b": true - InvalidOriginCountryCode — invalid country of origin code
    • isError boolean — Are there any errors
    • orderId integer<int64> — Assembly order ID with successfully set data

Structure 400:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 401:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Structure 402:

Structure 403:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 409:

  • detail object — Error details
  • origin string — WB internal service ID
  • requestId string — Unique request ID
  • title string — Error title

Structure 429:

  • title string — Error title
  • detail string — Error details
  • code string — Internal error code
  • requestId string — Unique request ID
  • origin string — WB internal service ID
  • status number — HTTP status code
  • statusText string — Text of the HTTP status code
  • timestamp string — Request date and time

Call examples ​

Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.

python
from wb_api_client.dbs import Configuration, ApiClient
from wb_api_client.dbs.api import DbsApi

cfg = Configuration(access_token="<your WB JWT>")
api = DbsApi(ApiClient(cfg))

result = api.post_v3_dbs_orders_meta_uin(api_orders_uin_set_request=...)
print(result)
ts
import {
  Configuration,
  DbsApi,
} from "@valeryverkhoturov/wb-api-client/dbs";

const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new DbsApi(cfg);

const { data } = await api.postV3DbsOrdersMetaUin(apiOrdersUINSetRequest);
console.log(data);
go
import (
	"context"
	"fmt"

	wbdbs "github.com/ValeryVerkhoturov/wb-api-client-go/dbs"
)

cfg := wbdbs.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbdbs.NewAPIClient(cfg)

result, _, err := client.DbsAPI.PostV3DbsOrdersMetaUin(context.Background()).ApiOrdersUINSetRequest(apiOrdersUINSetRequest).Execute()
if err != nil {
    panic(err)
}
fmt.Printf("%+v\n", result)
java
import io.github.valeryverkhoturov.wbapi.dbs.ApiClient;
import io.github.valeryverkhoturov.wbapi.dbs.SecretString;
import io.github.valeryverkhoturov.wbapi.dbs.api.DbsApi;

ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
DbsApi api = new DbsApi(client);

System.out.println(api.postV3DbsOrdersMetaUin(apiOrdersUINSetRequest));
php
use ValeryVerkhoturov\WbApiClient\Dbs\Configuration;
use ValeryVerkhoturov\WbApiClient\Dbs\SecretString;
use ValeryVerkhoturov\WbApiClient\Dbs\Api\DbsApi;
use GuzzleHttp\Client;

$config = (new Configuration())
    ->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new DbsApi(new Client(), $config);

print_r($api->postV3DbsOrdersMetaUin($api_orders_uin_set_request));
bsl
#Использовать "wb-api-client"

Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый DbsApi(Настройки);

Сообщить(Клиент.PostV3DbsOrdersMetaUin(Тело).Тело);
csharp
using ValeryVerkhoturov.WbApiClient.Dbs.Api;
using ValeryVerkhoturov.WbApiClient.Dbs.Client;

var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new DbsApi(config);

Console.WriteLine(api.PostV3DbsOrdersMetaUin(apiOrdersUINSetRequest));
rust
use wb_api_client::dbs::apis::{configuration::Configuration, dbs_api};

#[tokio::main]
async fn main() {
    let mut cfg = Configuration::new();
    cfg.set_access_token("<your WB JWT>");

    let result = dbs_api::post_v3_dbs_orders_meta_uin(&cfg, api_period_orders_uin_set_request).await;
    println!("{:#?}", result);
}